#version 130
uniform sampler2D texture;
uniform float white = 0;
uniform float black = 0;
uniform float invert = 0;

void main() {
	vec2 pixpos = gl_TexCoord[0].xy;
	vec4 pixcol = texture2D(texture, pixpos);

	vec4 outcol = abs(invert - pixcol) + white;
	outcol -= black;
	outcol.a = pixcol.a;

	gl_FragColor = outcol * gl_Color;
}


